diff -Naruw a/src/include/parser/pg_config_manual.h b/src/include/parser/pg_config_manual.h
--- a/src/include/parser/pg_config_manual.h
+++ b/src/include/parser/pg_config_manual.h
@@ -228,7 +228,7 @@
  * support them yet.
  */
 #ifndef WIN32
-#define DEFAULT_PGSOCKET_DIR  "/tmp"
+#define DEFAULT_PGSOCKET_DIR  "/run/postgresql"
 #else
 #define DEFAULT_PGSOCKET_DIR ""
 #endif
diff -Naruw a/src/include/pcp/pcp_stream.h b/src/include/pcp/pcp_stream.h
--- a/src/include/pcp/pcp_stream.h
+++ b/src/include/pcp/pcp_stream.h
@@ -49,6 +49,6 @@
 extern int	pcp_write(PCP_CONNECTION * pc, void *buf, int len);
 extern int	pcp_flush(PCP_CONNECTION * pc);
 
-#define UNIX_DOMAIN_PATH "/tmp"
+#define UNIX_DOMAIN_PATH "/run/pgpool"
 
 #endif							/* PCP_STREAM_H */
diff -Naruw a/src/include/pool.h b/src/include/pool.h
--- a/src/include/pool.h
+++ b/src/include/pool.h
@@ -69,16 +69,16 @@
 #define HBA_CONF_FILE_NAME "pool_hba.conf"
 
 /* pid file directory */
-#define DEFAULT_LOGDIR "/tmp"
+#define DEFAULT_LOGDIR "/run/pgpool"
 
 /* Unix domain socket directory */
-#define DEFAULT_SOCKET_DIR "/tmp"
+#define DEFAULT_SOCKET_DIR "/run/postgresql"
 
 /* Unix domain socket directory for watchdog IPC */
-#define DEFAULT_WD_IPC_SOCKET_DIR "/tmp"
+#define DEFAULT_WD_IPC_SOCKET_DIR "/run/pgpool"
 
 /* pid file name */
-#define DEFAULT_PID_FILE_NAME "/var/run/pgpool/pgpool.pid"
+#define DEFAULT_PID_FILE_NAME "/run/pgpool/pgpool.pid"
 
 /* status file name */
 #define STATUS_FILE_NAME "pgpool_status"
diff -Naruw a/src/sample/pgpool.conf.sample b/src/sample/pgpool.conf.sample
--- a/src/sample/pgpool.conf.sample
+++ b/src/sample/pgpool.conf.sample
@@ -39,10 +39,8 @@
 port = 9999
                                    # Port number
                                    # (change requires restart)
-socket_dir = '/tmp'
+socket_dir = '/run/postgresql'
                                    # Unix domain socket path
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 reserved_connections = 0
                                    # Number of reserved connections.
@@ -59,10 +57,8 @@
 pcp_port = 9898
                                    # Port number for pcp
                                    # (change requires restart)
-pcp_socket_dir = '/tmp'
+pcp_socket_dir = '/run/pgpool'
                                    # Unix domain socket path for pcp
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 listen_backlog_multiplier = 2
                                    # Set the backlog parameter of listen(2) to
@@ -286,13 +282,13 @@
 # FILE LOCATIONS
 #------------------------------------------------------------------------------
 
-pid_file_name = '/var/run/pgpool/pgpool.pid'
+pid_file_name = '/run/pgpool/pgpool.pid'
                                    # PID file name
                                    # Can be specified as relative to the"
                                    # location of pgpool.conf file or
                                    # as an absolute path
                                    # (change requires restart)
-logdir = '/tmp'
+logdir = '/run/pgpool'
                                    # Directory of pgPool status file
                                    # (change requires restart)
 
@@ -659,10 +655,8 @@
                                     # Authentication key for watchdog communication
                                     # (change requires restart)
 
-wd_ipc_socket_dir = '/tmp'
+wd_ipc_socket_dir = '/run/pgpool'
                                     # Unix domain socket path for watchdog IPC socket
-                                    # The Debian package defaults to
-                                    # /var/run/postgresql
                                     # (change requires restart)
 
 
diff -Naruw a/src/sample/pgpool.conf.sample-logical b/src/sample/pgpool.conf.sample-logical
--- a/src/sample/pgpool.conf.sample-logical
+++ b/src/sample/pgpool.conf.sample-logical
@@ -38,10 +38,8 @@
 port = 9999
                                    # Port number
                                    # (change requires restart)
-socket_dir = '/tmp'
+socket_dir = '/run/postgresql'
                                    # Unix domain socket path
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 reserved_connections = 0
 				   # Number of reserved connections.
@@ -58,10 +56,8 @@
 pcp_port = 9898
                                    # Port number for pcp
                                    # (change requires restart)
-pcp_socket_dir = '/tmp'
+pcp_socket_dir = '/run/pgpool'
                                    # Unix domain socket path for pcp
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 listen_backlog_multiplier = 2
                                    # Set the backlog parameter of listen(2) to
@@ -286,13 +282,13 @@
 # FILE LOCATIONS
 #------------------------------------------------------------------------------
 
-pid_file_name = '/var/run/pgpool/pgpool.pid'
+pid_file_name = '/run/pgpool/pgpool.pid'
                                    # PID file name
                                    # Can be specified as relative to the"
                                    # location of pgpool.conf file or
                                    # as an absolute path
                                    # (change requires restart)
-logdir = '/tmp'
+logdir = '/run/pgpool'
                                    # Directory of pgPool status file
                                    # (change requires restart)
 
@@ -621,10 +617,8 @@
                                     # Authentication key for watchdog communication
                                     # (change requires restart)
 
-wd_ipc_socket_dir = '/tmp'
+wd_ipc_socket_dir = '/run/pgpool'
                                     # Unix domain socket path for watchdog IPC socket
-                                    # The Debian package defaults to
-                                    # /var/run/postgresql
                                     # (change requires restart)
 
 
diff -Naruw a/src/sample/pgpool.conf.sample-raw b/src/sample/pgpool.conf.sample-raw
--- a/src/sample/pgpool.conf.sample-raw
+++ b/src/sample/pgpool.conf.sample-raw
@@ -39,10 +39,8 @@
 port = 9999
                                    # Port number
                                    # (change requires restart)
-socket_dir = '/tmp'
+socket_dir = '/run/postgresql'
                                    # Unix domain socket path
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 reserved_connections = 0
                                    # Number of reserved connections.
@@ -59,10 +57,8 @@
 pcp_port = 9898
                                    # Port number for pcp
                                    # (change requires restart)
-pcp_socket_dir = '/tmp'
+pcp_socket_dir = '/run/pgpool'
                                    # Unix domain socket path for pcp
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 listen_backlog_multiplier = 2
                                    # Set the backlog parameter of listen(2) to
@@ -287,13 +283,13 @@
 # FILE LOCATIONS
 #------------------------------------------------------------------------------
 
-pid_file_name = '/var/run/pgpool/pgpool.pid'
+pid_file_name = '/run/pgpool/pgpool.pid'
                                    # PID file name
                                    # Can be specified as relative to the"
                                    # location of pgpool.conf file or
                                    # as an absolute path
                                    # (change requires restart)
-logdir = '/tmp'
+logdir = '/run/pgpool'
                                    # Directory of pgPool status file
                                    # (change requires restart)
 
@@ -660,10 +656,8 @@
                                     # Authentication key for watchdog communication
                                     # (change requires restart)
 
-wd_ipc_socket_dir = '/tmp'
+wd_ipc_socket_dir = '/run/pgpool'
                                     # Unix domain socket path for watchdog IPC socket
-                                    # The Debian package defaults to
-                                    # /var/run/postgresql
                                     # (change requires restart)
 
 # - Virtual IP control Setting -
diff -Naruw a/src/sample/pgpool.conf.sample-replication b/src/sample/pgpool.conf.sample-replication
--- a/src/sample/pgpool.conf.sample-replication
+++ b/src/sample/pgpool.conf.sample-replication
@@ -39,10 +39,8 @@
 port = 9999
                                    # Port number
                                    # (change requires restart)
-socket_dir = '/tmp'
+socket_dir = '/run/postgresql'
                                    # Unix domain socket path
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 listen_backlog_multiplier = 2
                                    # Set the backlog parameter of listen(2) to
@@ -65,10 +63,8 @@
 pcp_port = 9898
                                    # Port number for pcp
                                    # (change requires restart)
-pcp_socket_dir = '/tmp'
+pcp_socket_dir = '/run/pgpool'
                                    # Unix domain socket path for pcp
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 
 # - Backend Connection Settings -
@@ -282,13 +278,13 @@
 # FILE LOCATIONS
 #------------------------------------------------------------------------------
 
-pid_file_name = '/var/run/pgpool/pgpool.pid'
+pid_file_name = '/run/pgpool/pgpool.pid'
                                    # PID file name
                                    # Can be specified as relative to the"
                                    # location of pgpool.conf file or
                                    # as an absolute path
                                    # (change requires restart)
-logdir = '/tmp'
+logdir = '/run/pgpool'
                                    # Directory of pgPool status file
                                    # (change requires restart)
 
@@ -657,10 +653,8 @@
                                     # Authentication key for watchdog communication
                                     # (change requires restart)
 
-wd_ipc_socket_dir = '/tmp'
+wd_ipc_socket_dir = '/run/pgpool'
                                     # Unix domain socket path for watchdog IPC socket
-                                    # The Debian package defaults to
-                                    # /var/run/postgresql
                                     # (change requires restart)
 
 
diff -Naruw a/src/sample/pgpool.conf.sample-slony b/src/sample/pgpool.conf.sample-slony
--- a/src/sample/pgpool.conf.sample-slony
+++ b/src/sample/pgpool.conf.sample-slony
@@ -39,10 +39,8 @@
 port = 9999
                                    # Port number
                                    # (change requires restart)
-socket_dir = '/tmp'
+socket_dir = '/run/postgresql'
                                    # Unix domain socket path
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 listen_backlog_multiplier = 2
                                    # Set the backlog parameter of listen(2) to
@@ -65,10 +63,8 @@
 pcp_port = 9898
                                    # Port number for pcp
                                    # (change requires restart)
-pcp_socket_dir = '/tmp'
+pcp_socket_dir = '/run/pgpool'
                                    # Unix domain socket path for pcp
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 
 # - Backend Connection Settings -
@@ -283,13 +279,13 @@
 # FILE LOCATIONS
 #------------------------------------------------------------------------------
 
-pid_file_name = '/var/run/pgpool/pgpool.pid'
+pid_file_name = '/run/pgpool/pgpool.pid'
                                    # PID file name
                                    # Can be specified as relative to the"
                                    # location of pgpool.conf file or
                                    # as an absolute path
                                    # (change requires restart)
-logdir = '/tmp'
+logdir = '/run/pgpool'
                                    # Directory of pgPool status file
                                    # (change requires restart)
 
@@ -658,10 +654,8 @@
                                     # Authentication key for watchdog communication
                                     # (change requires restart)
 
-wd_ipc_socket_dir = '/tmp'
+wd_ipc_socket_dir = '/run/pgpool'
                                     # Unix domain socket path for watchdog IPC socket
-                                    # The Debian package defaults to
-                                    # /var/run/postgresql
                                     # (change requires restart)
 
 # - Virtual IP control Setting -
diff -Naruw a/src/sample/pgpool.conf.sample-snapshot b/src/sample/pgpool.conf.sample-snapshot
--- a/src/sample/pgpool.conf.sample-snapshot
+++ b/src/sample/pgpool.conf.sample-snapshot
@@ -39,10 +39,8 @@
 port = 9999
                                    # Port number
                                    # (change requires restart)
-socket_dir = '/tmp'
+socket_dir = '/run/postgresql'
                                    # Unix domain socket path
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 listen_backlog_multiplier = 2
                                    # Set the backlog parameter of listen(2) to
@@ -65,10 +63,8 @@
 pcp_port = 9898
                                    # Port number for pcp
                                    # (change requires restart)
-pcp_socket_dir = '/tmp'
+pcp_socket_dir = '/run/pgpool'
                                    # Unix domain socket path for pcp
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 
 # - Backend Connection Settings -
@@ -280,13 +276,13 @@
 # FILE LOCATIONS
 #------------------------------------------------------------------------------
 
-pid_file_name = '/var/run/pgpool/pgpool.pid'
+pid_file_name = '/run/pgpool/pgpool.pid'
                                    # PID file name
                                    # Can be specified as relative to the"
                                    # location of pgpool.conf file or
                                    # as an absolute path
                                    # (change requires restart)
-logdir = '/tmp'
+logdir = '/run/pgpool'
                                    # Directory of pgPool status file
                                    # (change requires restart)
 
@@ -655,10 +651,8 @@
                                     # Authentication key for watchdog communication
                                     # (change requires restart)
 
-wd_ipc_socket_dir = '/tmp'
+wd_ipc_socket_dir = '/run/pgpool'
                                     # Unix domain socket path for watchdog IPC socket
-                                    # The Debian package defaults to
-                                    # /var/run/postgresql
                                     # (change requires restart)
 
 
diff -Naruw a/src/sample/pgpool.conf.sample-stream b/src/sample/pgpool.conf.sample-stream
--- a/src/sample/pgpool.conf.sample-stream
+++ b/src/sample/pgpool.conf.sample-stream
@@ -39,10 +39,8 @@
 port = 9999
                                    # Port number
                                    # (change requires restart)
-socket_dir = '/tmp'
+socket_dir = '/run/postgresql'
                                    # Unix domain socket path
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 reserved_connections = 0
                                    # Number of reserved connections.
@@ -59,10 +57,8 @@
 pcp_port = 9898
                                    # Port number for pcp
                                    # (change requires restart)
-pcp_socket_dir = '/tmp'
+pcp_socket_dir = '/run/pgpool'
                                    # Unix domain socket path for pcp
-                                   # The Debian package defaults to
-                                   # /var/run/postgresql
                                    # (change requires restart)
 listen_backlog_multiplier = 2
                                    # Set the backlog parameter of listen(2) to
@@ -286,13 +282,13 @@
 # FILE LOCATIONS
 #------------------------------------------------------------------------------
 
-pid_file_name = '/var/run/pgpool/pgpool.pid'
+pid_file_name = '/run/pgpool/pgpool.pid'
                                    # PID file name
                                    # Can be specified as relative to the"
                                    # location of pgpool.conf file or
                                    # as an absolute path
                                    # (change requires restart)
-logdir = '/tmp'
+logdir = '/run/pgpool'
                                    # Directory of pgPool status file
                                    # (change requires restart)
 
@@ -659,10 +655,8 @@
                                     # Authentication key for watchdog communication
                                     # (change requires restart)
 
-wd_ipc_socket_dir = '/tmp'
+wd_ipc_socket_dir = '/run/pgpool'
                                     # Unix domain socket path for watchdog IPC socket
-                                    # The Debian package defaults to
-                                    # /var/run/postgresql
                                     # (change requires restart)
 
 
